Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.installer
Class XSDFileSet.XSDFile

    java.lang.Object
      com.stc.hl7.installer.XSDFileSet.XSDFile

Enclosing class:
  XSDFileSet

    public class XSDFileSet.XSDFile

extends java.lang.Object

An inner class represent entities of XSDFileSet

Constructor Summary
`XSDFileSet.XSDFile()` Constructs an empty XSDFile

Method Summary
`org.apache.tools.ant.types.Parameter` | `createProperty()` Creates the Parameter
`java.lang.String` | `getFilename()` Getter for File Name
`java.lang.String` | `getOtdname()` Getter for otdName
`java.util.Set` | `getProperties()` Returns the Parameters Set
`java.lang.String` | `getTopnames()` Getter for Top Name
`void` | `setFilename(java.lang.String name)` Setter for File Name
`void` | `setOtdname(java.lang.String name)` Setter for otdName
`void` | `setProperties(java.util.Set properties)` Setter for Properties
`void` | `setTopnames(java.lang.String topNames)` Setter for Top Name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDFileSet.XSDFile

    public XSDFileSet.XSDFile()

  Constructs an empty XSDFile

Method Detail

### createProperty

    public org.apache.tools.ant.types.Parameter createProperty()

  Creates the Parameter

  Returns:
    org.apache.tools.ant.types.Parameter

### getProperties

    public java.util.Set getProperties()

  Returns the Parameters Set

  Returns:
    java.util.Set

### setProperties

    public void setProperties(java.util.Set properties)

  Setter for Properties

  Parameters:
    `properties` - Set of parameters

### setOtdname

    public void setOtdname(java.lang.String name)

  Setter for otdName

  Parameters:
    `name` - OTD Name

### getOtdname

    public java.lang.String getOtdname()

  Getter for otdName

  Returns:
    String otdName

### setFilename

    public void setFilename(java.lang.String name)

  Setter for File Name

  Parameters:
    `name` - File Name

### getFilename

    public java.lang.String getFilename()

  Getter for File Name

  Returns:
    String File Name

### setTopnames

    public void setTopnames(java.lang.String topNames)

  Setter for Top Name

  Parameters:
    `topNames` - Top Name

### getTopnames

    public java.lang.String getTopnames()

  Getter for Top Name

  Returns:
    String Top Name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD